Summary:	FTP mirroring package
Name:		fmirror
Version:	0.8.4
Release:	%mkrel 7
License:	GPL
Group:		Networking/File transfer
URL:		ftp://ftp.sunet.se/pub/nir/ftp/utilities/fmirror/
Source:		ftp://ftp.sunet.se/pub/nir/ftp/utilities/fmirror/testing/%{name}-%{version}.tar.bz2
Patch0:		fmirror-mandrake.patch
Patch1:		fmirror-0.8.4-anonymous.patch
Patch2:		fmirror-0.8.4-typofix_inman.patch
Patch3:		fmirror-0.8.4-signal.patch
Patch4:		fmirror-0.8.4-skip-solaris-acl.patch
Patch5:		fmirror-0.8.4-maxdel.patch
Patch6:		fmirror-0.8.4-eol.patch
Patch7:		fmirror-0.8.4-remotez.patch
Patch8:		fmirror-0.8.4-bugfix.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is an FTP mirroring package; it is useful to keep in sync with some FTP
site.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%configure
%make

%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/fmirror


%changelog
* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-7mdv2007.1
+ Revision: 145218
- Import fmirror



* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.4-6mdk
- build release

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.4-5mdk
- remove useless prefix

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.4-4mdk
- changed anonymous login behaviour, send anonymout insted of real
  user name [Patch1]
- fix typo in man page [Patch2]
- added signal handling between child and parent process in
  decompressing dirlist [Patch3]
- added hack for checking Solaris ACL flag in listing parsing [Patch4]
- added -X commandline option = max_delete_file [Patch5]
  and documente it in man page
- end of line sequence fixed, right sequence, according to RFC959
  is <CRLF> [Patch6]
- parsing of configuration parameter remotetz fixed [Patch7]
- fix bug in mktime_utc method from debian bug #89109 [Patch8]

* Wed Sep  5 2001 dam's <damien@mandrakesoft.com> 0.8.4-3mdk
- corrected baddistribution name

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.4-2mdk
- macroszifications
- BM

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.8.4-1mdk
- Final 0.8.4 version
- Fix rpm group
- spec-helper update

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build macro
- Update Group:

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.8.4pre14
- fix home URL

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the %description so it can be distinguished from summary
  for the translation teams
- corrected the %files section

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 0.8.4pre10
- update source URL

* Sun Jul 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial rpm
- change from base:
  - replace the redhat sample with a MUCH more useful one (mirrors
    cooker...)
